Platinux API

POST/score/social

Score from LinkedIn

Score a company from its LinkedIn page, or from a person's LinkedIn profile (their current employer). 10 credits.

View as Markdown

URLExampleCompany scoredCredits
Company pagelinkedin.com/company/stripeThat company (its website, e.g. stripe.com)10
Person profilelinkedin.com/in/jane-doeThe person's current employer10

/company/, /school/ and /showcase/ pages are company pages; /in/ is a person. Any form works (https://, www., trailing slash, query).

Start

bash
curl -X POST "https://mmkuffhlzytnmgraagbp.supabase.co/functions/v1/score/social" \
  -H "Authorization: Bearer $PLATINUX_API_KEY" -H "Content-Type: application/json" \
  -d '{"url": "https://www.linkedin.com/company/stripe/", "template_id": "4d286e65-…"}'
Body fieldTypeRequired
urlstringYes
template_idstring (UUID)Yes

Company found, scoring started: 202, 10 credits

json
{ "status": "processing", "job_id": "8394d14a-…", "domain": "stripe.com", "template_id": "4d286e65-…",
  "check_after_seconds": 30, "input": "https://www.linkedin.com/company/stripe", "input_type": "linkedin_company", "credits_charged": 10 }

No company found: 200, 0 credits

json
{ "status": "not_found", "input": "https://www.linkedin.com/in/someone", "input_type": "linkedin_person", "domain": null, "score": null, "credits_charged": 0 }

input_type: linkedin_company or linkedin_person.

Check the score

bash
curl "https://mmkuffhlzytnmgraagbp.supabase.co/functions/v1/score/domain?job_id=8184a513-…" -H "Authorization: Bearer $PLATINUX_API_KEY"

202 while processing; 200 when finished. Check every check_after_seconds (30). Any of the three paths works for GET.

json
{ "status": "complete", "job_id": "8184a513-…", "domain": "asana.com", "template_id": "4d286e65-…",
  "score": 100, "scored_at": "2026-11-19T14:48:49Z", "credits_charged": 10 }

status is complete, or partial when some data didn't arrive within 10 minutes (scored with what arrived).

Errors

HTTPerrorWhen
400invalid_urlNot a LinkedIn company or person URL (reason: not_linkedin)
400invalid_domainThe company's website was rejected (Domain checks). Free
401unauthorizedMissing, wrong or revoked key
402insufficient_creditsFewer than 10 credits
403 / 409 / 422template_not_allowed / template_not_live / template_emptyTemplate problems
502provider_unavailableA data source didn't answer. Free; try again